{% extends 'base.html' %}
{% load bootstrap4 %}
{% load static %}

{% block title %}Создание записи{% endblock %}

{% block content %}

<div class="row">
    <div class="col">
        <div class="jumbotron p-4 p-md-5 text-dark rounded bg-white-50">
            <div class="row">
                <div class="col-md-12 px-0">
                    <h4 class="display-5 font-italic">Добавить запись о расходе/доходе, посмотреть историю за текущий
                        месяц</h4>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4 px-0">
                    <ul class="nav nav-tabs">
                        <li class="nav-item" role="presentation">
                            <a class="nav-link active text-muted text-decoration-none f-hover" id="home-tab" data-toggle="tab" href="#home" role="tab"
                               aria-controls="home"
                               aria-selected="true">Расход</a>
                        </li>
                        <li class="nav-item" role="presentation">
                            <a class="nav-link text-muted text-decoration-none f-hover" id="profile-tab" data-toggle="tab" href="#profile" role="tab"
                               aria-controls="profile"
                               aria-selected="false">Доход</a>
                        </li>
                    </ul>
                    <div class="tab-content">
                        <div class="tab-pane fade show active" id="home" role="tabpanel" aria-labelledby="home-tab">
                            <form method="post" class="mt-3" action="{% url 'purse:add_expense' %}">
                                {% csrf_token %}
                                {% bootstrap_form form_expense show_label=True size='small' layout='horizontal' %}
                                {% bootstrap_button 'Добавить' button_class='btn btn-sm btn-outline-secondary' button_type='submit' size='small' %}
                            </form>
                        </div>
                        <div class="tab-pane fade" id="profile" role="tabpanel" aria-labelledby="profile-tab">
                            <form method="post" class="mt-3" action="{% url 'purse:add_income' %}">
                                {% csrf_token %}
                                {% bootstrap_form form_income show_label=True size='small' layout='horizontal' %}
                                {% bootstrap_button 'Добавить' button_class='btn btn-sm btn-outline-secondary' button_type='submit' size='small' %}
                            </form>
                        </div>
                    </div>
                </div>
                <div class="col-md-1 px-0 border-right border-secondary"></div>
                <div class="col-md-1 px-0 border-left border-secondary"></div>
                <div class="col-md-6 px-0">
                    {% if balance is not none %}
                    <div class="row">
                        <div class="col">
                            <h4 class="h4 mt-3">Баланс на текущий месяц: <span
                                    class="{% if balance > 0 %}badge badge-success{% elif balance < 0 %}badge badge-danger{% else %} badge badge-secondary{% endif %}">{{ balance }}</span>
                                ₽</h4>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col">
                            <button class="btn btn-sm btn-outline-secondary" type="button" data-toggle="collapse"
                                    data-target="#incomes"
                                    aria-expanded="false" aria-controls="collapseExample">Доходы: <span
                                    class="badge badge-light">{{ total_income }} ₽</span>
                            </button>
                            <div class="collapse" id="incomes">
                                {% for key, value in incomes_per_category.items %}
                                <div>
                                    <span class="badge badge-pill badge-success">{{ key }}: {{ value }} ₽</span>
                                </div>
                                {% endfor %}
                            </div>
                        </div>
                        <div class="col">
                            <button class="btn btn-sm btn-outline-secondary" type="button" data-toggle="collapse"
                                    data-target="#expense"
                                    aria-expanded="false" aria-controls="collapseExample">Затраты: <span
                                    class="badge badge-light">{{ total_expense }} ₽</span>
                            </button>
                            <div class="collapse" id="expense">
                                {% for key, value in expenses_per_category.items %}
                                <div>
                                    <span class="badge badge-pill badge-danger">{{ key }}: {{ value }} ₽</span>
                                </div>
                                {% endfor %}
                            </div>
                        </div>
                    </div>
                    {% else %}
                    <div class="row">
                        <div class="col">
                            <h4 class="h4 mt-3">Текущий месяц: </h4>
                            <small>Данных за текущий месяц нет</small>
                        </div>
                    </div>
                    {% endif %}
                </div>
            </div>
        </div>
    </div>
</div>

{% endblock %}
